com.franz.jlinker

## Class JavaLinkDist

- java.lang.Object
- - com.franz.jlinker.JLSocketCodes
  - - com.franz.jlinker.JLSocketClient
    - - com.franz.jlinker.JavaLinkDist

- Deprecated.
  See the class description for usage note.

      public abstract class JavaLinkDist
      extends com.franz.jlinker.JLSocketClient

  This deprecated class allows existing Java applications to run without changes. New Java code should not mention this class at all.

  Connections are managed with the static methods in the LispCall class.

  Jlinker exceptions should be mentioned using the names JLinkerException, JlinkerInvokeException, JLinkerLispException, and JLinkerLispThrow.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JavaLinkDist.InvokeException` Deprecated. Use com.franz.jlinker.JLinkerInvokeException
    `static class` | `JavaLinkDist.JLinkerException` Deprecated. Use com.franz.jlinker.JLinkerException.
    `static class` | `JavaLinkDist.LispException` Deprecated. Use com.franz.jlinker.JLinkerLispException
    `static class` | `JavaLinkDist.LispThrow` Deprecated. Use com.franz.jlinker.LispThrow.

  - ### Field Summary

    - ### Fields inherited from class com.franz.jlinker.JLSocketClient

      `bigIndex`

    - ### Fields inherited from class com.franz.jlinker.JLSocketCodes

      `TR_AggrMask, TR_AggrShift, TR_AggrWidth, TR_ARRAY, TR_BaseShift, TR_BaseWidth, TR_BOOL, TR_BYTE, TR_CHAR, TR_CLASS, TR_CONSTRUCTOR, TR_DISCARD, TR_DISCARDED, TR_DiscardShift, TR_DOUBLE, TR_ERROR, TR_EXBYTES, TR_EXFLOATS, TR_EXSHORTS, TR_EXTNMASK, TR_ExtnShift, TR_ExtnWidth, TR_HIRANK, TR_HOMEImmediate, TR_IMMEDIATE, TR_INDEXWIDTH, TR_INDIRECT, TR_IndirectShift, TR_INT, TR_KEEP, TR_LastShift, TR_LIVE, TR_LONG, TR_MESSAGE, TR_METHOD, TR_MKActivate, TR_MKDiscard, TR_MKInvoke, TR_MKMessage, TR_MKNotify, TR_NONE, TR_NULL, TR_POINTER, TR_RankShift, TR_RankWidth, TR_RemoteWidth, TR_SHORT, TR_SINGLE, TR_STRING, TR_SYMBOL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaLinkDist()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `advertise(int port, int timeoutSeconds)` Deprecated.
    `static boolean` | `advertise(java.lang.String l2j, java.lang.String host, int port, int timeoutSeconds)` Deprecated.
    `static boolean` | `connect(java.lang.String lispHost, int lispPort, java.lang.String javaHost, int javaPort, int pollInterval, int pollCount)` Deprecated. Use the new static methods in LispCall class.
    `static boolean` | `connect(java.lang.String j2l, java.lang.String javaHost, int javaPort, int pollInterval, int pollCount)` Deprecated.
    `static com.franz.jlinker.TranStruct` | `newDistOb(int i)` Deprecated.
    `static com.franz.jlinker.TranStruct` | `newDistOb(java.lang.String i)` Deprecated.

    - ### Methods inherited from class com.franz.jlinker.JLSocketClient

      `discard, errorP, extractClassRef, invokeInLisp, invokeInLispWithExceptions, pointerP`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaLinkDist

          public JavaLinkDist()

      Deprecated.

  - ### Method Detail

    - #### newDistOb

          public static com.franz.jlinker.TranStruct newDistOb(int i)

      Deprecated.
      Parameters:
        `i` -
      Returns:

    - #### newDistOb

          public static com.franz.jlinker.TranStruct newDistOb(java.lang.String i)

      Deprecated.
      Parameters:
        `i` -
      Returns:

    - #### connect

          public static boolean connect(java.lang.String lispHost,
                                        int lispPort,
                                        java.lang.String javaHost,
                                        int javaPort,
                                        int pollInterval,
                                        int pollCount)

      Deprecated. Use the new static methods in LispCall class.
      Parameters:
        `lispHost` -
        `lispPort` -
        `javaHost` -
        `javaPort` -
        `pollInterval` -
        `pollCount` -
      Returns:

    - #### connect

          public static boolean connect(java.lang.String j2l,
                                        java.lang.String javaHost,
                                        int javaPort,
                                        int pollInterval,
                                        int pollCount)

      Deprecated.
      Parameters:
        `j2l` -
        `javaHost` -
        `javaPort` -
        `pollInterval` -
        `pollCount` -
      Returns:

    - #### advertise

          public static boolean advertise(int port,
                                          int timeoutSeconds)

      Deprecated.
      Parameters:
        `port` -
        `timeoutSeconds` -
      Returns:

    - #### advertise

          public static boolean advertise(java.lang.String l2j,
                                          java.lang.String host,
                                          int port,
                                          int timeoutSeconds)

      Deprecated.
      Parameters:
        `l2j` -
        `host` -
        `port` -
        `timeoutSeconds` -
      Returns: